﻿/**
© Florian Joncour, 2013-2018 florian@zetta-sys.com

Ce logiciel est un programme informatique faisant interface à la bibliothèque
Perspective3D, un outil de modélisation 3D à partir de vues orthographiques 2D.

Ce logiciel est régi par la licence CeCILL-C soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL-C telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard  l'attention de l'utilisateur est attirée sur les risques
associés au chargement,  à l'utilisation,  à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL-C, et que vous en avez accepté les
termes.
**/

#include <QNetworkReply>
#include <QtNetwork>
#include <QIODevice>
#include <QUrl>
#include "cl_maj.h"

clMAJ::clMAJ() : reponse(nullptr)
{

}

clMAJ::~clMAJ()
{
}

bool clMAJ::execControleVersion()
/* Envoi la requette un serveur pour contrôle la validité de la version actuelle du client. */
{
    if (reponse != nullptr)
    {
        reponse->close();
    }

    QUrl url("http://zetta-sys.com/archives/zetta6/version.txt"); /* Recupère la version courante sur le serveur. */
    reponse = qnam.get(QNetworkRequest(url));
    connect(reponse, SIGNAL(finished()), this, SLOT(ReponseServeur()));

    return reponse->isOpen();
}

void clMAJ::ReponseServeur()
/* Emet un signal contenant la réponse du serveur */
{
    if (reponse->isFinished())
    {
        emit VersionServeur(reponse->readAll());
    }
}
